> For the complete documentation index, see [llms.txt](https://carpool.gitbook.io/carpool/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://carpool.gitbook.io/carpool/api-reference/instructions/get_instructions_involving_account.md).

# GET\_INSTRUCTIONS\_INVOLVING\_ACCOUNT

## Overview

*This method will return instruction data associated with a specific account. Running with only required body params will search through all instructions and account fields. Feel free to make use of all non-required body params for more advanced queries. Refer to the Body "Schema" tab for help.*

{% openapi src="/files/Rl6kk2ILQgHook40gaTf" path="/query/solana" method="post" %}
[Carpool\_dev-GET\_INSTRUCTIONS\_INVOLVING\_ACCOUNT-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2F4xzrJoyhdE4df6ePGpmb%2FCarpool_dev-GET_INSTRUCTIONS_INVOLVING_ACCOUNT-0.1-resolved.json?alt=media\&token=5048c4e4-9d9f-47d5-908f-950b49d4744b)
{% endopenapi %}

## Example - Basic

**Program** - *Cypher Protocol*

**Description** *- Get all instructions involving the account at the given pubkey: CybT...Rw3y*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_INSTRUCTIONS_INVOLVING_ACCOUNT",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "accountPubKey": "CybTvGzBRYSwGZugchRVfjyc67wzDT45dbzsn7pjRw3y"
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_INSTRUCTIONS_INVOLVING_ACCOUNT",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "accountPubKey": "CybTvGzBRYSwGZugchRVfjyc67wzDT45dbzsn7pjRw3y"
    }
}'
```

## Example - Advanced

**Program** - *Cypher Protocol*

**Description** *- Get all instructions involving the account at the given pubkey: CybT...Rw3y for a set time range. Return all response body fields and do not include failed instructions.*

#### javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_INSTRUCTIONS_INVOLVING_ACCOUNT",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "instructionName": "",
    "accountPubKey": "CybTvGzBRYSwGZugchRVfjyc67wzDT45dbzsn7pjRw3y",
    "accountName": "",
    "timeRange": {
      "before": "2023-07-17T22:53:09+0000",
      "after": "2023-07-11T22:53:09+0000"
    },
    "failures": false,
    "fields": [],
    "sort": {
      "order": "desc"
    },
    "pagination": {
      "limit": 10,
      "offset": 0
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_INSTRUCTIONS_INVOLVING_ACCOUNT",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "instructionName": "",
        "accountPubKey": "CybTvGzBRYSwGZugchRVfjyc67wzDT45dbzsn7pjRw3y",
        "accountName": "",
        "timeRange": {
            "before": "2023-07-17T22:53:09+0000",
            "after": "2023-07-11T22:53:09+0000"
        },
        "failures": false,
        "fields": [],
        "sort": {
            "order": "desc"
        },
        "pagination": {
            "limit": 10,
            "offset": 0
        }
    }
}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/instructions/get_instructions_involving_account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
